> ## Documentation Index
> Fetch the complete documentation index at: https://watermelon.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook



## OpenAPI

````yaml put /webhooks/{id}
openapi: 3.0.3
info:
  version: 1.0.0
  title: https://public.watermelon.ai
servers:
  - url: https://public.watermelon.ai/api/v1
security: []
paths:
  /webhooks/{id}:
    put:
      summary: Update Webhook
      operationId: UpdateWebhook
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Webhook'
      responses:
        '204':
          description: Webhook updated
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Bearer: []
components:
  schemas:
    Webhook:
      type: object
      required:
        - verb_id
        - entity_id
        - url
        - action_id
      properties:
        verb_id:
          type: integer
          description: HTTP verb ID (GET 1, PUT 2, POST 3, DELETE 4)
          example: 1
        entity_id:
          type: integer
          description: Entity ID (conversation 1, contact 2, field 3, message 5)
          example: 1
        url:
          type: string
          example: https://watermelon.co
        action_id:
          type: integer
          description: >-
            Trigger action ID (create 1, update 2, delete 3, archive 4,
            forward-team 5, forward-agent 6)
          example: 1
        zapier_id:
          type: integer
          example: 1
    Error:
      type: object
      properties:
        code:
          type: integer
          format: int64
        message:
          type: string
        fields:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````